#include <ostream.h>
#include <istream.h>

class yyFlexLexer {
    enum yy_state_type {
    }
    yyFlexLexer(istream *in,ostream *out);
    ~yyFlexLexer();
    switch_streams(istream *in,ostream *out);
    int LexterInput(char *buf,int max_size);
    void LexerOutput(const char *buf,int size);
    int yy_get_next_buffer();
    int yy_get_previous_state();
    int yy_try_NULL_trans(yy_state_type yy_current_state);
    yyunput(int c,register char *yy_bp);
    int yyinput();
    int yyrestart(istream *input_file);
    int yy_switch_to_buffer(YY_BUFFER_STATE new_buffer);
    int yy_load_buffer_state();
    YY_BUFFER_STATE yy_create_buffer( istream* file, int size );
    void yy_delete_buffer( YY_BUFFER_STATE b );
    void yy_init_buffer( YY_BUFFER_STATE b, istream* file );
    void yy_flush_buffer( YY_BUFFER_STATE b );
    void LexerError( yyconst char msg[] );
    int yy_init;
    int yy_start;
    int yylex();
    istream *yyin;
    ostream *yyout;
};    

#define YY_NO_PUSH_STATE
#define YY_NO_POP_STATE
#define YY_NO_TOP_STATE
