#include <stdio.h>
#include <string.h>

#include "libsbook.h"

char *file = "corpus.txt";

int main(int argc,char **argv)
{
    if(argc>1){
	file = argv[1];
    }

    FILE *f = fopen(file,"r");
    printf("%-40s%-10s%6s%6s%6s\n","Name","Smart","Case?","Addr","Company");
    char buf[1024];
    while(fgets(buf,sizeof(buf),f)){


	/* Remove carriage returns & linefeeds */
	char *cc = strchr(buf,'\n');
	if(cc) *cc = ' ';
	cc = strchr(buf,'\r');
	if(cc) *cc = ' ';

	NXAtomList atoms = atomsForNames(buf);
	NXAtom  smartName = smartSortName(buf,atoms);
	int	a = parse_case(buf);
	int	b = parse_address(buf);
	int     c = parse_company(buf);

	printf("%-40s%-10s%6d%6d%6d\n",buf,smartName,a,b,c);
    }
    return 0;
}
