/* this is used to make a flex file self-contained */

#include <stdlib.h>
#include <string.h>

#ifdef WIN32
#include <malloc.h>
#endif

#define	MIN(x,y) (((int)x)<((int)y) ? ((int)x) : ((int)y))

/* Input System */
static  int Yeof=0;
static	char	*lptr=0;			  // buffer we are reading

static void Yinput(char *buf,int *result,int max_size)
{
    int len 		= MIN(strlen(lptr),max_size);
    memcpy(buf,lptr,len);
    *result		= len;
    lptr		+=len;
    Yeof		= len==0;
}

#define	YY_USER_ACTION	if(Yeof) return 0;
#define YY_NEVER_INTERACTIVE  1			  // we are not interactive
#define	YY_INPUT(buf,result,max_size) Yinput(buf,&result,max_size)

#undef 	ECHO
#define	ECHO {}

#define YY_SKIP_YYWRAP
#define yycompanywrap() 0
#define yyaddresswrap() 0
#define yycasewrap() 0
#define yywrap() 0




