/*
 * nxatom.h:
 *
 * A tribute to NeXTSTEP, implements NXUniqueString() and NXAtom
 */

#ifndef NXATOM_H
#define NXATOM_H

#include <malloc.h>
#include <memory.h>
#include <stdlib.h>

typedef const char *NXAtom;
NXAtom NXUniqueString(const char *string);

class NXAtomList
{
private:;
    NXAtom *data;
    unsigned int numAtoms;

public:
    NXAtomList();
    ~NXAtomList();
    unsigned int count();
    NXAtom  &operator[](unsigned int i) const;
    void    append(NXAtom);
    NXAtom  &last();
};


extern NXAtom atom_blank;
extern NXAtom atom_dashes;
extern NXAtom atom_THE;
extern NXAtom atom_U;
extern NXAtom atom_S;
extern NXAtom atom_US;
extern NXAtom atom_AND;


#endif
